Subject: [bug#57070] [PATCH] bootloader: extlinux: support for optional FDTDIR

From: Pavel Shlyak <[email-masked]>
Date: Sat, 20 Aug 2022 13:15:38 +0300

Dear Maxime,

I do not think I can agree that «a relevant code could check what the hardware is» as it’s not hardware-defined, but also user-defined. It’s not just about detection, it’s also about choice. The same system definition I have on RPI4, for example, can boot both with kernel-provided FDT (loaded with uboot) and bootloader-provided FDT (loaded with RPI bootloader). There are also a lot of different devices out there on the market and there’s no common way to know how OS definition is written for it. If you have ideas - you’re welcome to propose your way to do it.

It does not appear to «be simply a kernel bug» to me. Kernel does not pass configuration to the bootloader and we’re configuring a bootloader entry here. It’s simple as that: bootloader entry may include or not include that line and that’s user-defined.

Of course, you’re always welcome to suggest your ideas how the automation you like to have could be implemented. Also, please, keep in mind this change doesn’t change anything on current boards/systems and most users won’t even notice this change is merged.

Sincerely,
Pavel Shlyak